# Uses of Interface
org.eclipse.emf.cdo.lm.FixedBaseline

Packages that use FixedBaseline
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of FixedBaseline in org.eclipse.emf.cdo.lm

Subinterfaces of FixedBaseline in org.eclipse.emf.cdo.lm
Modifier and Type
Interface
Description
`interface`
`Delivery`
A representation of the model object 'Delivery'.
`interface`
`Drop`
A representation of the model object 'Drop'.
Methods in org.eclipse.emf.cdo.lm that return FixedBaseline
Modifier and Type
Method
Description
`FixedBaseline`
Change.`getBase()`
Returns the value of the 'Base' reference.
`FixedBaseline`
FloatingBaseline.`getBase()`
Methods in org.eclipse.emf.cdo.lm with parameters of type FixedBaseline
Modifier and Type
Method
Description
`void`
Change.`setBase(FixedBaseline value)`
Sets the value of the '`Base`' reference.

## Uses of FixedBaseline in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client with parameters of type FixedBaseline
Modifier and Type
Method
Description
`Change`
ISystemDescriptor.`createChange(Stream stream, FixedBaseline base, String label, IProgressMonitor monitor)`

## Uses of FixedBaseline in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement FixedBaseline
Modifier and Type
Class
Description
`class`
`DeliveryImpl`
An implementation of the model object 'Delivery'.
`class`
`DropImpl`
An implementation of the model object 'Drop'.
`class`
`FixedBaselineImpl`
An implementation of the model object 'Fixed Baseline'.
Methods in org.eclipse.emf.cdo.lm.impl that return FixedBaseline
Modifier and Type
Method
Description
`FixedBaseline`
ChangeImpl.`basicGetBase()`
`FixedBaseline`
ChangeImpl.`getBase()`
`abstract FixedBaseline`
FloatingBaselineImpl.`getBase()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type FixedBaseline
Modifier and Type
Method
Description
`void`
ChangeImpl.`setBase(FixedBaseline newBase)`

## Uses of FixedBaseline in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type FixedBaseline
Modifier and Type
Method
Description
`T`
LMSwitch.`caseFixedBaseline(FixedBaseline object)`
Returns the result of interpreting the object as an instance of 'Fixed Baseline'.